<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Solid Currency Converter</title>
    <link rel="stylesheet" href="styles.css"> <!-- Link to the CSS file -->
</head>
<body>
    <header>
        <h1>Solid Currency Converter</h1>
    </header>

    <div class="converter-container">
        <div class="converter">
            <form id="conversionForm" action="/exchange" method="post">
                <div class="input-group">
                    <label for="amount">Amount</label>
                    <input type="number" id="amount" name="amount" value="1.00" required>
                </div>
                <div class="input-group">
                    <label for="fromCurrency">From</label>
                    <select id="fromCurrency" name="fromCurrency">
                        <option value="USD">USD - US Dollar</option>
                        <option value="EUR">EUR - Euro</option>
                        <option value="GBP">GBP - British Pound</option>
                        <option value="ILS">ILS - Israeli New Shekel</option>
                        <option value="JPY">JPY - Japanese Yen</option>
                        <option value="CAD">CAD - Canadian Dollar</option>
                        <option value="AUD">AUD - Australian Dollar</option>
                        <option value="CHF">CHF - Swiss Franc</option>
                        <option value="CNY">CNY - Chinese Yuan</option>
                        <!-- Add other currencies as needed -->
                    </select>
                </div>
                <div class="input-group">
                    <label for="toCurrency">To</label>
                    <select id="toCurrency" name="toCurrency">
                        <option value="EUR">EUR - Euro</option>
                        <option value="USD">USD - US Dollar</option>
                        <option value="GBP">GBP - British Pound</option>
                        <option value="ILS">ILS - Israeli New Shekel</option>
                        <option value="JPY">JPY - Japanese Yen</option>
                        <option value="CAD">CAD - Canadian Dollar</option>
                        <option value="AUD">AUD - Australian Dollar</option>
                        <option value="CHF">CHF - Swiss Franc</option>
                        <option value="CNY">CNY - Chinese Yuan</option>
                        <!-- Add other currencies as needed -->
                    </select>
                </div>
                <button type="submit" class="convert-button">Convert</button>
            </form>
        </div>
    </div>
</body>
</html>
